%global gitrel 20130201

Name:        sleepyhead
Summary:     Sleep tracking software for monitoring CPAP treatment.
Version:     0.9.3
Release:     0.0.git%{gitrel}%{?dist}
Group:       Applications/Engineering
License:     GPLv2+
URL:         http://sleepyhead.sourceforge.net/
Source0:     sleepyhead-%{version}-git%{gitrel}.tar.bz2

BuildRequires:    qt-devel
BuildRequires:    qtwebkit-devel

### Fedora TODO ###
# 1. Disable auto version check
# 2. .desktop launcher with sheep icon
# 3. GPL version is ambiguous (see README)

%description
Sleep tracking software for monitoring CPAP treatment.

Currenly supported machines:
  CPAP
    Philips Respironics System One (CPAP, Auto, BiPAP & ASV models)
    ResMed S9 models (CPAP, Auto, VPAP)
    DeVilbiss Intellipap (Auto)
  Oximetry
    Contec CMS50 Oximeters
    ResMed S9 Oximeter Attachment

%prep
%setup -q -n %{name}-%{version}-git%{gitrel}
qmake-qt4 

%build
make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 SleepyHead $RPM_BUILD_ROOT%{_bindir}/sleepyhead

%files
%doc README LICENSE.txt
%{_bindir}/sleepyhead

%changelog
* Fri Feb 01 2013 Warren Togami <wtogami@gmail.com> - 0.9.3-0.0.git20130201
- Initial Fedora package

